/// <reference path="../.astro/types.d.ts" />
/// <reference types="astro/client" />


/**
 * Environment variables declaration
 */
interface ImportMetaEnv {
	POSTGRES_USER: string
	POSTGRES_PASSWORD: string
	POSTGRES_DATABASE: string
	POSTGRES_HOST: string
	POSTGRES_PORT: string
}

interface ImportMeta {
	readonly env: ImportMetaEnv;
}


declare namespace App {
	/**
	 * Middlewares variables
	 */
	interface Locals { }
}

declare namespace astroHTML.JSX {
	interface HTMLAttributes {
		'hyp:trigger'?: string
		'hyp:multiple'?: boolean
		'hyp:path'?: string

		'hyp:action'?: string
		[key?: `hyp:action${number}`]: string

		// deprecated ones
		'data-input'?: string
		'data-output'?: string
		'data-trigger'?: string
		'data-path'?: string
		'data-multiple'?: true

		//
		// TEMPLATE
		//

		'hyp:set'?: string
		'hyp:loop'?: string
		'hyp:if'?: string
		'hyp:ifnot'?: string

		// deprecated
		'data-attribute'?: string
		'data-loop'?: string
	}
}
