import Schema, { s, type SchemaInfer } from 'libs/Schema'

const schema = new Schema({
	/**
	 * the project ID
	 */
	id: s.string().attr('db:unique', 'db:auto'),
	issue: s.string(),

	user: s.nullable(s.string()),
	description: s.string().nullable(),

	created: s.date().attr('db:created')
})

export default schema

export type History = SchemaInfer<typeof schema>
