import type Migration from "./Migration"

export default {
	date: Date.UTC(2024, 5 + 1, 15, 9, 57, 48),
	async up(client): Promise<boolean> {
		await client.execute(`CREATE TABLE IF NOT EXISTS project (
			id TEXT PRIMARY KEY,
			name TEXT,
			description TEXT,
			displayid TEXT,
			visibility BOOL,
			archived BOOL
		);`)

		await client.execute(`CREATE TABLE IF NOT EXISTS state (
			id TEXT PRIMARY KEY,
			project TEXT,
			name TEXT,
			color CHAR(7),
			preset BOOL
		)`)

		await client.execute(`CREATE TABLE IF NOT EXISTS issue (
			id TEXT PRIMARY KEY,
			localID INT,
			project TEXT,
			name TEXT,
			description TEXT,
			state TEXT,
			priority INT,
			begin DATE,
			due DATE,
			parent TEXT,
			labels TEXT[],
			archived BOOL
		)`)

		return true
	},
	async down(client) {
		await client.execute(`DROP TABLE project`)
		await client.execute(`DROP TABLE state`)
		await client.execute(`DROP TABLE issue`)

		return true
	},
} as Migration
