enum Priority {
	NONE,
	LOW,
	MEDIUM,
	HIGH,
	URGENT,
}

export function getPriorityText(priority: Priority) {
	switch (priority) {
		case Priority.NONE: return 'None'
		case Priority.LOW: return 'Low'
		case Priority.MEDIUM: return 'Medium'
		case Priority.HIGH: return 'High'
		case Priority.URGENT: return 'Urgent'
	}
}

export function getPriorities(): Array<Priority> {
	return Object.values(Priority).filter((it) => typeof it === 'number') as Array<Priority>
}

export default Priority
