import Schema, { s, type SchemaInfer } from 'libs/Schema'

const schema = new Schema({
	/**
	 * the project ID
	 */
	id: s.string().attr('db:unique', 'db:auto'),
	/**
	 * the email the project was created from
	 */
	name: s.string().nullable(),

	description: s.string().nullable(),

	displayid: s.string().nullable(),
	visibility: s.string().nullable(),
	archived: s.boolean().defaultValue(false)
})

export default schema

export type ProjectObj = SchemaInfer<typeof schema>
