import Schema, { s, type SchemaInfer } from 'libs/Schema'

const schema = new Schema({
	/**
	 * the project ID
	 */
	id: s.string().attr('db:unique', 'db:auto'),
	project: s.string(), // project id

	/**
	 * the email the project was created from
	 */
	name: s.string().nullable(),

	color: s.string().nullable(),

	preset: s.boolean().defaultValue(false)
})

export default schema

export type StateObj = SchemaInfer<typeof schema>
