import { objectOmit } from '@dzeio/object-util'
import type { APIRoute } from 'astro'
import ResponseBuilder from 'libs/ResponseBuilder'
import DaoFactory from 'models/DaoFactory'

export const POST: APIRoute = async (ctx) => {
	const id = ctx.params.id!
	const dao = DaoFactory.get('project')
	const body = objectOmit(await ctx.request.json(), 'label')
	const res = await dao.patch(id, body)

	return new ResponseBuilder()
		.body(res)
		.build()
}
