import type { APIRoute } from 'astro'
import ResponseBuilder from 'libs/ResponseBuilder'
import DaoFactory from 'models/DaoFactory'

export const GET: APIRoute = async (ctx) => {
	const projectId = ctx.params.id!
	const taskId = ctx.params.issueId!
	const dao = DaoFactory.get('issue')
	const historyDao = DaoFactory.get('history')
	const task = (await dao.findOne({ project: projectId, id: taskId }))
	const history = await historyDao.findAll({ issue: taskId })

	return new ResponseBuilder()
		.body({
			issue: task,
			history: history.data
		})
		.build()
}
