import type { APIRoute } from 'astro'
import ResponseBuilder from 'libs/ResponseBuilder'
import DaoFactory from 'models/DaoFactory'

export const POST: APIRoute = async (ctx) => {
	const taskId = ctx.params.issueId!
	const body = await ctx.request.json()
	const newLabel = body.label
	const dao = DaoFactory.get('issue')
	const req = await dao.get(taskId)
	req?.labels.push(newLabel)
	const res = await dao.update(req!)

	return new ResponseBuilder()
		.body(res)
		.build()
}
export const DELETE: APIRoute = async (ctx) => {
	const taskId = ctx.params.issueId!
	const body = await ctx.request.json()
	const labelToRemove = body.label
	const dao = DaoFactory.get('issue')
	const req = await dao.get(taskId)!
	console.log(req, taskId)
	req!.labels.splice(req!.labels.indexOf(labelToRemove), 1)
	const res = await dao.update(req!)

	return new ResponseBuilder()
		.body(res)
		.build()
}
