import type { APIRoute } from 'astro'
import ResponseBuilder from 'libs/ResponseBuilder'
import DaoFactory from 'models/DaoFactory'
import type { Query } from 'models/Query'

export const GET: APIRoute = async ({ url }) => {
	const dao = DaoFactory.get('project')
	const filters: Query<any> = {}
	url.searchParams.forEach((it, key) => {
		filters[key] = { $inc: it }
	})
	const res = await dao.findAll(filters)
	return new ResponseBuilder().body(res.data).build()
}
